Skip to content

3.4.1 Create an Outbound Order ​

Endpoint:

plain
POST /OpenApi/V1/Outbound/Outbounding/create?signature=xxx

HTTP method: POST

Request parameters:

FieldTypeRequiredDescriptionNotes
warehouseCodestringYesWarehouse code
userOutboundNostringNoCustomer reference number
outboundingListarrayYesOutbound order data; see the format below
outboundingBizNostringNoOutbound batch number
filesarrayNoFiles; see the format below

outboundingList array format:

json
[{
    "shippingType": "Shipping type: 1 by carton (default); 2 by unit",
    "deliveryType": "Last-mile delivery type: 100 UPS; 101 USPS; 102 FedEx; 103 DHL; 200 truck delivery; 300 pickup",
    "dLocationName": "Destination",
    "sku": "sku",
    "outCount": "Outbound quantity (units)",
    "outCaseCount": "Expected carton count",
    "lotNo": "Lot number",
    "expiredTime": "Expiration time (UNIX timestamp)",
    "containerNum": "Container number",
    "logisticsData": "FBA logistics information",
    "fnSku": "fnSku",
    "expressQty": "Shipping labels per carton",
    "fbaQty": "FBA labels per carton",
    "fnSkuQty": "FNSKU labels per unit"
}]

files array format:

json
[{
    "typeId": "File type: 2000 Bill of lading; 2001 Delivery Instructions; 2002 Invoice & Packing List; 2003 Shipping Labels; 2004 Other",
    "fileData": [{
        "fileName": "File name",
        "fileUrl": "File URL"
    }]
}]

Success response example:

json
{
    "code": "200",
    "result": {
        "outboundingBizNo": "OB20260428001"
    },
    "message": "Created successfully"
}

Error response example:

json
{
    "code": "400",
    "result": [],
    "message": "Failed to create"
}